Debian Bug report logs - #378347
hibernate: config file "ususpend.conf" for ususpend is missing

version graph

Package: hibernate; Maintainer for hibernate is Andrey Rahmatullin <wrar@wrar.name>; Source for hibernate is src:hibernate.

Reported by: Christian Schuerer <csw@xray.at>

Date: Sat, 15 Jul 2006 14:48:06 UTC

Severity: important

Found in version hibernate/1.93-1

Fixed in version hibernate/1.94-1

Done: madduck@debian.org (martin f. krafft)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#378347; Package hibernate. Full text and rfc822 format available.

Acknowledgement sent to Christian Schuerer <csw@xray.at>:
New Bug report received and forwarded. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Schuerer <csw@xray.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: hibernate: config file "ususpend.conf" for ususpend is missing
Date: Sat, 15 Jul 2006 16:28:02 +0200
Package: hibernate
Version: 1.93-1
Severity: important

This file is in the original archive of the hibernate script collection, but not in the debian package. Simply copying the file into 
/etc/hibernate solves the problem.

Please add this file by default, thanks!

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-1-686
Locale: LANG=en_GB.ISO-8859-15, LC_CTYPE=de_AT@euro (charmap=ISO-8859-15)

Versions of packages hibernate depends on:
ii  console-tools              1:0.2.3dbs-63 Linux console and font utilities

Versions of packages hibernate recommends:
ii  hdparm                        6.6-1      tune hard disk parameters for high
ii  vlock                         1.3-9      Virtual Console locking program

-- no debconf information



Tags added: pending Request was from martin f.krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Christian Schuerer <csw@xray.at>:
Bug#378347. Full text and rfc822 format available.

Message #10 received at 378347-submitter@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 317479-submitter@bugs.debian.org, 370713-submittter@bugs.debian.org, 377389-submitter@bugs.debian.org, 378282-submitter@bugs.debian.org, 378347-submitter@bugs.debian.org, 381033-submitter@bugs.debian.org, 381903-submitter@bugs.debian.org, 381927-submitter@bugs.debian.org, 384140-submitter@bugs.debian.org, 384471-submitter@bugs.debian.org, 386426-submitter@bugs.debian.org, 386623-submitter@bugs.debian.org, 386799-submitter@bugs.debian.org
Subject: please test latest hibernate package: 1.93.svn1064-1~unreleased.2
Date: Wed, 13 Sep 2006 17:39:07 +0200
[Message part 1 (text/plain, inline)]
Please test the latest hibernate package, which fixes a bug you've
reported. Do note that the package may still change in certains ways
while I am trying to synchronise with upstream. I cannot guarantee
an upgrade path from this version to the next one. Thanks for your
understanding.

http://debian.madduck.net/repo/dists/UNRELEASED/main/source/utils/hibernate_1.93.svn1064-1~unreleased.2.dsc
http://debian.madduck.net/repo/dists/UNRELEASED/main/binary-all/utils/hibernate_1.93.svn1064-1~unreleased.2_all.deb
deb http://debian.madduck.net/repo UNRELEASED main
deb-src http://debian.madduck.net/repo UNRELEASED main

Comments welcome. I'd appreciate if you sent them to the relevant
bug report, or at least CC'ed it.

Thanks,

-- 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, author, administrator, and user
`. `'`     http://people.debian.org/~madduck http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Reply sent to madduck@debian.org (martin f. krafft):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christian Schuerer <csw@xray.at>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 378347-close@bugs.debian.org (full text, mbox):

From: madduck@debian.org (martin f. krafft)
To: 378347-close@bugs.debian.org
Subject: Bug#378347: fixed in hibernate 1.94-1
Date: Tue, 10 Oct 2006 03:05:51 -0700
Source: hibernate
Source-Version: 1.94-1

We believe that the bug you reported is fixed in the latest version of
hibernate, which is due to be installed in the Debian FTP archive:

hibernate_1.94-1.diff.gz
  to pool/main/h/hibernate/hibernate_1.94-1.diff.gz
hibernate_1.94-1.dsc
  to pool/main/h/hibernate/hibernate_1.94-1.dsc
hibernate_1.94-1_all.deb
  to pool/main/h/hibernate/hibernate_1.94-1_all.deb
hibernate_1.94.orig.tar.gz
  to pool/main/h/hibernate/hibernate_1.94.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 378347@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
martin f. krafft <madduck@debian.org> (supplier of updated hibernate package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 10 Oct 2006 09:41:11 +0200
Source: hibernate
Binary: hibernate
Architecture: source all
Version: 1.94-1
Distribution: unstable
Urgency: low
Maintainer: martin f. krafft <madduck@debian.org>
Changed-By: martin f. krafft <madduck@debian.org>
Description: 
 hibernate  - smartly puts your computer to sleep (suspend to RAM or disk)
Closes: 317479 317479 370713 377389 378282 378347 381033 381903 381927 384140 384471 386426 386623 386799
Changes: 
 hibernate (1.94-1) unstable; urgency=low
 .
   * New upstream release:
     - properly escape amarok process listing (closes: #378282).
     - does not fail if KDE sessions are already locked (closes: #384471).
     - enables verbose output earlier (closes: #370713).
   * Merged several patches into upstream code:
     - Patch by Joey Hess to save/restore brightness levels with GFX cards
       (closes: #384140).
     - Patch against vbetool scriptlet to log stderr output to log file, and
       only let output through to real stderr if verbosity >=2 is selected
       (closes: #381927).
     - Corrected typo in hibernate.conf manpage (closes: #386799).
     - Reworded the init.d script message about invalidating stale signatures
       (closes: #381903).
     - Added ath_pci to blacklisted modules (see #383169).
     - Added scriptlet to remount /boot read-only if /boot is a separate
       partition, contains an XFS filesystem, hibernate was asked to update the
       Grub menu file, and this feature has not been disabled in the
       configuration file (closes: #317479, #317479, #386623).
       Also added README.xfs to document caveats for users of the XFS
       filesystem.
     - Improved ususpend method. Now supports USuspendRamForce (boolean) to
       pass the -f option to s2ram. Also tests with s2ram's -n option if s2ram
       is used and the option is not set. I also made disk.conf and ram.conf
       prefer the uswsusp methods, if they are available. If you do not want to
       use them, use the sysfs-{ram,disk}.conf files, which are the former
       ram.conf and disk.conf files.
     - Use /proc/net/dev instead of ifconfig to enumerate network devices,
       because the latter would ignore madwifi interfaces.
   * Now actually installs the ususpend configuration (though not
     ususpend.conf), which I had previously forgotten. Thanks to René van
     Bevern and Christian Schuerer for pointing it out (closes: #378347).
   * Added recommendation on vbetool, thanks to Minh Ha Duong.
   * Added recommendation on uswsusp, so that the new uswsusp code gets used
     if supported by the kernel (>= 2.6.17rc1), and suspend2 is not available.
   * Fixed up recommendations (other packages that most people will want to
     use) and suggestions (other packages used but not needed by many).
   * Added a hibernation HOWTO by Barak A. Pearlmutter to
     /usr/share/doc/hibernate (closes: #377389).
   * Moved vbetool options from sysfs-ram.conf to ram.conf; they're also
     applicable to ususpend.
   * Create log file with 0644:root:adm permissions (closes: #381033).
   * Added hibernate-ram and hibernate-disk symlinks which automatically use
     ram.conf or disk.conf as configuration file, rather than hibernate.conf
     (closes: #386426).
Files: 
 e825e6c5be851155747a3f223978de23 701 utils extra hibernate_1.94-1.dsc
 f8826d4c96e320902382f29c91694c04 72928 utils extra hibernate_1.94.orig.tar.gz
 7a1bf5abd28f5f29fc1debb54d2cec13 12416 utils extra hibernate_1.94-1.diff.gz
 3b41e5e2609a2bb2177a449fdd180a7c 85936 utils extra hibernate_1.94-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFK1eCIgvIgzMMSnURAsxKAJ9DAlMDbmMTJl3I9Sf5B4ULXiauSwCfRN2f
Jl+FH+8aSyhqUWnIP4iaIaI=
=jK/A
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 12:13:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:07:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.